Apache Tomcat 6.0.53

## org.apache.catalina.tribes.io
Class DirectByteArrayOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.catalina.tribes.io.DirectByteArrayOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class DirectByteArrayOutputStream

extends java.io.OutputStream

Byte array output stream that exposes the byte array directly

Version:
  1.0
Author:
  not attributable

Constructor Summary
`DirectByteArrayOutputStream(int size)`

Method Summary
`byte[]` | `getArray()`
`byte[]` | `getArrayDirect()`
`int` | `size()`
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectByteArrayOutputStream

    public DirectByteArrayOutputStream(int size)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this output stream.

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the `byte`.
  Throws:
    `java.io.IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

### size

    public int size()

### getArrayDirect

    public byte[] getArrayDirect()

### getArray

    public byte[] getArray()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.